こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

Javaのアップデートをしたらエラーになります

Javaのバージョンを、Java(TM)6update7から、Java(TM)6update10にアップデートしました。

インストールが終ってブラウザ(Firefox3.0.4)が再起動し、バージョン確認のページが開いたところ、「Javaセキュリティ報告」のダイアログが開き、
「このアプリケーションには以前のバージョンのJavaが必要です。続行しますか?」
「必要とされるバージョンのJava(1.6.0-oem)は最新式ではないため、最新のセキュリティ更新が含まれていない可能性があります。」
と、表示されました。

「実行」をクリックしたところ、確認のページに、
エラー。お使いのオペレーティングシステムに推奨されたバージョンの Java がインストールされていません。
インストールされている Java のバージョンは 1.6.0-oem です。下のボタンをクリックして、お使いのオペレーティングシステムに推奨された Java をインストールしてください。
と、出ます。

試しにもう一度「Java ソフトウェアを今すぐダウンロード」→「無料Java のダウンロード」とやってみるのですが、バージョン確認のページに戻り、同じエラーのダイアログが出て実行、エラー表示…、と戻ってしまいます。

プログラムのアンインストールと変更で確認したところ、Java(TM)6update10がインストールされていました。(Java(TM)6update7も残っています)
もう一度、上書きインストールをしてもよいのでしょうか?

Windowsvista HomeBasic SP1
Intel(R)Celeron(R)M CPU 410 @ 1.46GHz 1.47GHz
メモリ 1GB

長文になりましたが、対処の仕方を教えていただけると助かります。
よろしくお願いいたします。

投稿日時 - 2008-11-18 00:52:32

QNo.4487453

困ってます

質問者が選んだベストアンサー

コントロールパネルから JAVAコンソールを開いたらどうなるでしょう
コンソールの中のJAVAのタブで、使用するバージョンの選択も可能です

なお、update7からupdateを選んでも10を読みにいかないのはなんでだろう
あまり重要なupdateではないのかな?

投稿日時 - 2008-11-18 21:12:41

お礼

回答ありがとうございます。

ご指導の通り、Javaコントロールパネル → Java → Javaアプレットのランタイム設定を開いてみました。

「1.6.0-oen」「1.6.0_10」「1.6.0_7」のバージョンがあり、すべてに有効のチェックが入っていたので、「1.6.0-oen」の有効のチェックを外し、ブラウザを起動させてJavaのサイトでバージョン確認をしたところ、「正常な設定です」と表示されました!

助かりました。

投稿日時 - 2008-11-18 22:22:05

ANo.2

このQ&Aは役に立ちましたか?

6人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.1

上書きインストールなどしないでプログラムと機能からアンインストール
パソコンの指示がなくても再起動、再起動後Program Filesを開きJAVAのフォルダが残っていないか確認し残っているなら手動で削除し(この時点ではごみ箱を空にしないこと)パソコンを再起動
エラーが出なくて再起動できればごみ箱を空にしてJAVAをインストールです

JAVAソフトが一部壊れているからエラーを出すのに上書きしても意味がない
Windowsのおまけソフトのようにアンインストールできないものなら諦めるかリカバリ(OSクリーンインストール)です

投稿日時 - 2008-11-18 06:54:29

お礼

回答ありがとうございます。

アンインストールする前に、#2さんの回答をためしてみたところ、「正常な設定です」と表示されました。
とりあえず大丈夫そうです。

また何か不具合がおきた場合には、こちらの方法も参考にさせていただきます。

投稿日時 - 2008-11-18 22:08:51

あなたにオススメの質問